Subscribe widget for e-newletter is generating a fatal error.

e-newletter subscribe widget is creating a fatal error. See below:
Fatal error: Call to undefined method e_newsletter_subscribe::set_current_user() in /home/donnam/thepathtooneness.com/wp-content/plugins/e-newsletter/e-newsletter.php on line 1952

Not sure what I am doing wrong. Is there documentation for the plug-in somewhere? I've searched around and haven't found anything.

Also, do I have to use email sign-up instead of the widget that comes with the e-newsletter plug-in?

Thanks!

  • aecnu

    Greetings brandee,

    Thank you for the questions and every WPMU DEV product has a home page and on that home page a "usage" tab that has the products configuration information/instructions within.

    In this case for the e-Newsletter the home page is here and the usage information here.

    However, this sounds like a conflict of some kind and if the instructions above do not help then it is time to go into full blown trouble shooting mode because it appears there may be some conflict there and one way to find out conclusively.

    Standard plugin trouble shooting protocol - first to switch to the Twenty Eleven/Twelve theme just long enough to check for the problem - if the problem still exists next involves deactivating all plugins except the plugin in question and then see if the issue still exists.

    If it does not, then you want to activate plugins one at a time testing in between to see if the issue returns. Even when you find one plugin, it may be in your interest to deactivate the problem plugin and continue testing the rest of the plugins to insure no others are also conflicting.

    You will know the conflict when the issue returns and which plugin(s) you activated that cause the issue.

    Please advise if there are any plugin conflicts and if so what the plugins are that are conflicting.

    Cheers, Joe

  • brandee

    OK. I deleted the 2.0.4 version and installed the 2.0.3 version. Now I get an error on the bounce. I host at Dreamhost. Error below. Can you shed any line on this now?

    <b>Warning</b>: imap_open() [function.imap-open]: Couldn't open stream {mail.thepathtooneness.com:110/pop3/notls/novalidate-cert/norsh}INBOX in <b>/home/donnam/thepathtooneness.com/wp-content/plugins/e-newsletter/e-newsletter.php</b> on line <b>1685</b>
    Can't open mailbox {mail.thepathtooneness.com:110/pop3/notls/novalidate-cert/norsh}INBOX: invalid remote specification

  • Jenni McKinnon

    Hi!

    I get a very similar fatal error:

    "Fatal error: Call to undefined function get_blog_details() in /home/content/79/8499579/html/home/wp-content/plugins/subscribe-by-email/inc/settings.php on line 116"

    Line 116 in the subscribe by email plugin looks like this:

    " $blog_details = get_blog_details();"

    I followed the instructions above, and it is the subscribe by email plugin, which makes sense since that is where the fatal error directs to.

    I know I can delete the plugin through FTP, but I don't know how to fix the issue so when I re-install the plugin I don't get the same issue come back.

    If anyone can help, that would be fantastic!

    Thanks,
    Jenni

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.